<?php
// Routes
//首页路由  路由说明: http://www.slimphp.net/docs/objects/router.html
$app->get('/', function ($request,  $response, $args = []) {
	$response = $this->view->render($response, 'index.php', [
        'title' => "你好",
		'response' => $response
    ]);
	
});

//路由参数
$app->get('/param/{name}/{age}',function($request,$response,$args=[]){
	//print_r($args);
	//$name = $args["name"]; 
	//$age  = $args["age"];
	//$name = $request->getAttribute('name'); //
	return $this->view->render($response, 'params.php', [
		'args' => $args,
    ]);
});

//发布信息
$app->get('/message', function ($request,  $response, $args = []) {
	$nameKey = $this->csrf->getTokenNameKey();
    $valueKey = $this->csrf->getTokenValueKey();
    $name = $request->getAttribute($nameKey);
    $value = $request->getAttribute($valueKey);
	//以上是CSRF验证信息, 一般隐藏放在form里面
	
	return $this->view->render($response, 'message.php', [
        'title'    => "发布信息",
		'nameKey'  => $nameKey,
		'valueKey' => $valueKey,
		'name'     => $name,
		'value'    => $value,
		'response' => $response
    ]);
	
})->add($container->get('csrf')); //为单个路由增加CSRF中间件

//保存信息
$app->post('/mesave', function ($request,  $response, $args = []) {
	// CSRF protection successful if you reached
	$title = $request->getParsedBody()['title'];
	$content = $request->getParsedBody()['content'];
	
	$addtime = time();
	$sql = "insert into news set title = '$title',content='$content',addtime='$addtime'";
	$count = $this->db->exec($sql);  //容器 dependencies里面
	
	if($count){
		echo "<script>alert('添加成功');location.href='/getjson';</script>";
		//return $response->withRedirect("/");
	} 
})->add($container->get('csrf'));

//显示JSON数据
$app->get('/getjson',function($request,$response,$args =[]){
    $requesturl= "http://ytslim.cn/getdata"; 
	// 调用时修改为自己的域名接口完整网址
	
    $curl = curl_init(); //初始化
    curl_setopt($curl, CURLOPT_URL, $requesturl);//设置抓取的url 为 $requesturl
    curl_setopt($curl, CURLOPT_HEADER, 0);//设置头文件的信息作为数据流输出
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);//设置获取的信息以文件流的形式返回，而不是直接输出。
    $data = curl_exec($curl);//执行命令
    curl_close($curl);//关闭URL请求
    $data = json_decode($data);
    return $this->view->render($response, 'infolist.php', [
		'result' => $data,
    ]);

});

//查询数据
$app->get('/getdata',function($request,$response,$args=[]){
	$sql = "select * from news";
	$query = $this->db->query($sql);
	$query->setFetchMode(PDO::FETCH_ASSOC);
	$result = $query->fetchAll();
	$response = $response->withJson($result);
	return $response;
});

//调用自定义非命名空间class类

$app->get('/selfclass',function($request,$response,$args=[]){
	$myclass = new myClass(); //调用src/extend/myClass.php文件类
	$getstr = $myclass->getData();

	$zhuangzi = new \sclass\zhuangzi();
	//$zhuangzi->test();
	//加载自定义函数文件并应用
	require (__DIR__ . "/../src/helper/myfun.php");
	$data = ["names"=>"zhuangzi","age"=>18,"qq"=>"88085905"];
	//dump($data);
	return $this->view->render($response, 'selfclass.php', [
		'getstr' => $getstr,
	]);
}); 


